-- -*- madmutt configuration file -*-
--
-- Madmutt configuration file
-- 2008,  kolter <kolter@openics.org>
--
--  This file is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY
--
-- Lua configuration file for Madmutt.
--

mod_core.editor = 'emacs -nw'
mod_core.shell = '/bin/zsh'
mod_core.tmpdir = mod_core.homedir..'/.madmutt/tmp'
-- mod_core.quit = 1
-- mod_core.hostname = 'mx0.openics.org'

local maildir = "/home/manu/Mail/imap/"
local mailboxes = { maildir }

mod_buffy.mail_check = 2

MAlias.record = maildir..'/.Sent'
MAlias.alias_file = "~/.madmutt/aliases"
MAlias.signature = "~/.signatures/kolter_openics"

MTransport.use_envelope_from =1 

-- misc functions
function iter(fun, arr)
    for _, v in ipairs(arr) do fun(v) end
end

function expand_mailboxes (pattern)
   local ls = io.popen("find "..maildir.." -mindepth 1 -maxdepth 1 -type d -name \""..pattern.."\"")
   for line in ls:lines() do
      table.insert(mailboxes, line)
   end
   ls:close()
end
--------

local alternates = {
   "kolter@openics.org",
   "emmanuel@bouthenot.name",
   "kolter@free.fr",
   "emmanuel.bouthenot@free.fr",
}
iter(MAlias.alternates, alternates)

local subscribes = {
   "weechat-(dev|cvs)",
   "debian-.*@lists\.debian\.org",
   "(asso|sl)@france\.debian\.net",
   "backports.*@lists\.backports\.org",
   "(ca|asso|abonnes|inscrits|tech|debutants|blahblah|annonces|party|devel|web|hourtin)@abul\.org",
   "hurdfr@hurdfr\.org",
   "(shell|emacs|sysadmin)@asyd\.net",
   "(communication|themes|org|2008)@rmll\.info",
   "organisation@rmll2008.org",
}
iter(MAlias.subscribe, subscribes)

local mailboxes_pattern = {
   ".Drafts",
   ".Sent",
   ".Spam",
   ".Trash",
   ".sys.dak",
   ".sys.sympa",
   ".sys.reports",
   ".sys.infos",
   ".my.debian-nm",
   ".my.cnam",
   ".my.misc",
   ".friends.tbs.tiacfooting",
   ".my.soft.weechat.ml.*",
   ".my.soft.galette.devel",
   ".my.ml.rmll.*",
   ".my.ml.asyd.*",
   ".my.ml.abul.*",
   ".my.ml.debian.france.*",
   ".my.soft.debian.pkg.phototools",
   ".my.ml.debian.*",
   ".my.ml.hurd.hurdfr",
   ".my.soft.debian.*",
}
for _, v in pairs(mailboxes_pattern) do
   expand_mailboxes(v)
end
iter(mod_buffy.mailboxes, mailboxes)

--mod_cset.assumed_charset = "cp1252"
--mod_cset.send_charset    = "us-ascii:utf-8"

--
-- MIME settings
--
-- mod_mime.spam("x-dspam-result: *spam", "spam")
mod_mime.auto_view("text/html")
mod_mime.alternative_order("text/plain")
mod_mime.alternative_order("text")
mod_mime.mailcap_path = "~/.madmutt/mailcap:/etc/mailcap"
mod_mime.ignore("*");
mod_mime.unhdr_order("*");

local headers = { 
   "From:",
   "Resent-From:",
   "Subject:",
   "To:",
   "Cc:",
   "Bcc:",
   "Return-Path:",
   "Reply-To:",
   "Mail-Followup-To:",
   "Followup-To:",
   "Date:",
   "Resent-Date:",
   "Organization:",
   "User-Agent:",
   "X-Mailer:",
   "X-Newsreader:",
   "Newsgroups:",
   "Summary:",
   "Keywords:",
   "Mail-Copies-To:",
   "Sender:",
   "X-Sent:",
   "X-Mailman-Version:",
   "Posted-To:",
   "Mail-Copies-To:",
   "Apparently-To:",
   "Gnus-Warning:",
   "Resent-From:",
   "X-Accept-Language:",
   "gpg-key-ID:",
   "X-GPG-Fingerprint:",
   "X-PGP-Fingerprint:",
   "X-GnuPG-KeyID:",
   "fingerprint:",
   "X-Spam-Status:",
   "X-Junked-Because:",
   "X-SpamProbe:",
   "X-Virus-hagbard:",
   "X-Originating-IP:",
   "X-Originating-Email:",
   "X-Bogosity:",
   "X-Operating-System:",
   "X-Apparently-From:",
   "X-Virus-Scanned:",
   "Message-ID:",
   "X-Org-Mail:",
   "X-Org-Id:",
   "X-CRM114-Score:",
   "X-CRM114-Spam:",
}
iter(mod_mime.unignore, headers)
iter(mod_mime.hdr_order, headers)

--
-- GPG settings
-- 
-- mod_crypt.autosign = 1
-- mod_crypt.replysign = 1
mod_crypt.verify_sig = 1

