
# Editor
-exe emacs \
    && export EDITOR="emacs -nw"
alias e=$EDITOR

# common aliases
alias rm="rm -i"
alias mv="mv -i"
alias cp="cp -i"
alias vlock="clear; vlock"
alias df="df -h"
alias rsu="sudo zsh"
alias reload="exec zsh"
alias grep="grep --color=tty"

alias slog="tail -n 60 -f /var/log/syslog"
alias mlog="tail -n 60 -f /var/log/mail.log"

# using colortail if available (freebsd)
-exe colortail \
    && alias slog="colortail -n 60 -k /usr/local/share/examples/colortail/conf.messages -f /var/log/syslog"

[ -n "$EDITOR" -a -n "$SUDO_USER" -a $UID = 0 -a $EDITOR[1,5] = "emacs" ] \
    && alias e="$EDITOR -u $SUDO_USER"

-exe ccze \
    && alias slog="tail -n 60 -f /var/log/syslog | ccze" \
    && alias mlog="tail -n 60 -f /var/log/mail.log | ccze"

-exe pydf \
    && alias df="pydf -h"
-exe colormake \
    && alias make="colormake"

# git stuff
[ -z "$GIT_PAGER" ] \
    && [ -x =less ] && export GIT_PAGER=less
[ -z "$GIT_PAGER" ] \
    && [ -x =more ] && export GIT_PAGER=more
[ -z "$GIT_PAGER" ] \
    && export GIT_PAGER=cat

alias git="PAGER=$GIT_PAGER git"
unset GIT_PAGER

# Pager stuff
-exe most \
    && export PAGER=most && alias more='most' && alias less='most'



